microstation之面拉伸

通常在microstation中绘制一定的三维实体后,需要进行进一步的的修改操作,如长度、宽度、高度等的拉伸操作,在microstation API中支持对三维实体的某个面进行拉伸操作,进而改变实体的造型。
接口如下

OffsetFace (solid, closestPointOnFace, distance)
solid SmartSolidElement 需要偏移的面所在的实体
closestPointOnFace 被偏移面上的点
distance Double类型 偏移的距离

程序代码

Sub main()
    Dim solid1, solid2 As SmartSolidElement
  
    '创建立方体
    Set solid1 = SmartSolid.CreateSlab(Nothing, 100, 100, 100)
     '添加至模型空间
    ActiveModelReference.AddElement solid1

    '顶面向上拉伸操作
    
    Dim point As Point3d
    point = Point3dFromXYZ(0, 0, 50)
    
    '顶面向上偏移100
    Set solid2 = SmartSolid.OffsetFace(solid1, point, 100)
    '坐标原点向右偏移200比较效果
    solid2.Move Point3dFromXYZ(200, 0, 0)

    '添加至模型空间
    ActiveModelReference.AddElement solid2
End Sub

运行效果

1.png

你可能感兴趣的:(microstation之面拉伸)